Bug 73484 - convert silently discards transparency png->jpg
convert silently discards transparency png->jpg
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
7.3
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-05 05:57 EDT by Joe Bayes
Modified: 2007-03-26 23:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 01:41:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2002-09-05 05:57:18 EDT
When I do a `convert foo.png foo.jpg`, and foo.png is a partially transparent
image, convert silently produces foo.jpg 100% opaque. convert should at least
issue a warning that it is significantly altering the image when it does the
conversion. 

Version-Release number of selected component (if applicable):

ImageMagick-5.4.3.11-1
Comment 1 Matthias Clasen 2005-04-21 01:41:02 EDT
Please report this issue to the ImageMagick developers, if you feel it needs a
warning.

Note You need to log in before you can comment on or make changes to this bug.